<script setup lang="ts">
defineProps({
  header: {
    type: String,
    required: false,
    default: 'We want to hear from you',
  },
  description: {
    type: String,
    required: false,
    default:
      'Enjoyed reading this blog post or have questions or feedback? Share your thoughts by creating a new topic in the GitLab community forum.',
  },
  cta: {
    type: Object,
    required: false,
    default() {
      return {
        text: 'Share your feedback',
        href: 'https://forum.gitlab.com/new-topic?title=GitLab%20account%20security:%20Verify%20your%20information%20for%20enhanced%20protection&body=&tags=blog-feedback',
      };
    },
  },
});
</script>

<template>
  <div class="contact-cta-container">
    <!-- <SlpIcon
      name="idea-collaboration"
      variant="marketing"
      size="md"
    /> -->
    <SlpTypography v-if="header" variant="heading3-bold" tag="h3">
      {{ header }}
    </SlpTypography>
    <SlpTypography v-if="description" variant="heading5" tag="h5">
      {{ description }}
    </SlpTypography>
    <SlpButton v-if="cta.text" variant="tertiary" :href="cta.href" data-ga-location="contact" :data-ga-name="cta.text">
      {{ cta.text }}
      <!-- <SlpIcon name="chevron-right" variant="product" /> -->
    </SlpButton>
  </div>
</template>

<style lang="scss" scoped>
.contact-cta-container {
  display: flex;
  padding: 32px;
  flex-direction: column;
  align-items: flex-start;
  gap: 16px;
  border-radius: 4px 4px 64px 4px;
  margin: 64px 0;
  background: $color-surface-800;
  @media (min-width: $breakpoint-lg) {
    margin: 96px 0;
  }
}
</style>
